package org.openxma.hbmfilemerge;

import java.io.File;

/**
 * holds a pair of {@link File} </br> which represents a valid match in the
 * context of the hbm file merge
 */
class HbmFilePair {

    private File genHbm, fragmentHbm;

    public HbmFilePair(File genHbm, File fragmentHbm) {
        this.genHbm = genHbm;
        this.fragmentHbm = fragmentHbm;
    }

    public File getGenHbm() {
        return genHbm;
    }

    public File getFragmentHbm() {
        return fragmentHbm;
    }

    public static HbmFilePair valueOf(File genHbm, File fragmentHbm) {
        return new HbmFilePair(genHbm, fragmentHbm);
    }

}
